[SCM] live-boot branch, debian-next, updated. debian/3.0_a20-1-9-gadd39bd

Tails developers amnesia at boum.org
Thu Sep 8 13:53:43 UTC 2011


The following commit has been merged in the debian-next branch:
commit add39bdb96e82687b0d4c0a7a7cfc0423a2b046a
Author: Tails developers <amnesia at boum.org>
Date:   Thu Sep 8 15:48:16 2011 +0200

    Erroring out in case a "wrong" filesystem was chosen.
    
    If live-boot finds a "wrong" filesystem that looks OK, then the error message
    can be pretty confusing. Panic with an explicit message in this case.
    
    The "is this rootfs valid" test is implemented by checking if the
    /usr/share/doc/live-boot/ directory exists: as per Debian Policy 2.3 (Copyright
    considerations), this directory must exist on any system where the live-boot
    binary package is installed.
    
    Adapted and reformatted from a patch by Christian Hofstaedtler <ch at grml.org>.

diff --git a/scripts/live-bottom/10validateroot b/scripts/live-bottom/10validateroot
new file mode 100755
index 0000000..23eb900
--- /dev/null
+++ b/scripts/live-bottom/10validateroot
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# Error out in case a "wrong" file system was chosen.
+
+#set -e
+
+# initramfs-tools header
+
+PREREQ=""
+ 
+prereqs()
+{
+	echo "${PREREQ}"
+}
+
+case "${1}" in
+	prereqs)
+		prereqs
+		exit 0
+		;;
+esac
+
+. /scripts/live-functions
+. /scripts/live-helpers
+
+if ! [ -d "/root/usr/share/doc/live-boot" ]
+then
+	panic "A wrong rootfs was mounted."
+fi

-- 
live-boot



More information about the debian-live-changes mailing list